<template>
<!-- START TOP BAR -->
<div class="c-topbar" id="ex1">
  <div class="c-topbar__left">
    <button v-if="!topbarMenu.isBackIconVisible" @click="$store.commit('toggeSidebar')" class="hamburger-hotspot" type="button"><div class="hamburger" v-bind:class="{ cross: this.$store.state.appLayout.isSidebarOpen }"></div></button>
    </transition>
    <button v-else class="hamburger-hotspot" type="button" onclick="window.history.back();"><div class="back-hamburger"></div></button>
    </transition>
  </div>
  <span class="c-topbar__title">{{ this.$store.state.pageTitle }}</span>
  <div class="c-topbar__right">
    <transition name="fade">
    <button v-if="topbarMenu.isCardToggleIconVisible" @click="" class="smart-icon" type="button"></button>
    </transition>
    <transition name="fade">
    <button v-if="topbarMenu.isFilterIconVisible" @click="$store.commit('toggeFilterForm')"  class="icon-filter"></button>
    </transition>
    <transition name="fade">
    <button v-if="topbarMenu.isSearchIconVisible" @click="$store.commit('toggeSearchForm')"  class="icon-search"></button>
    </transition>
    <transition name="fade">
    <button v-if="topbarMenu.isSettingsIconVisible" class="icon-cog" type="button"></button>
    </transition>
    <transition name="fade">
    <button v-if="topbarMenu.isAddFavoritesIconVisible" class="icon-bookmark-empty" type="button" id="bookmarked" ></button>
    </transition>
  </div>
</div>
<!-- TOP BAR END -->
</template>
<script>

export default ({
  computed: {
    topbarMenu () {
      return this.$store.state.topbarMenu
    }
  }
})
</script>
